## org.eclipse.xsd.impl
Class XSDAnnotationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDAnnotationImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDAnnotation, XSDComponent, XSDConcreteComponent, XSDRedefineContent, XSDSchemaContent

    public class XSDAnnotationImpl

extends XSDComponentImpl
implements XSDAnnotation

An implementation of the model object 'Annotation'.

The following features are implemented:

- `Application Information`
- `User Information`
- `Attributes`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<org.w3c.dom.Element>` `applicationInformation` The cached value of the '`Application Information`' attribute list
`protected EList<org.w3c.dom.Attr>` `attributes` The cached value of the '`Attributes`' attribute list
`protected EList<org.w3c.dom.Element>` `userInformation` The cached value of the '`User Information`' attribute list

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDAnnotationImpl()`

Method Summary
`XSDConcreteComponent` `cloneConcreteComponent(boolean deep, boolean shareDOM)` Creates a clone of the component.
`static XSDAnnotation` `createAnnotation(org.w3c.dom.Node node)`
`org.w3c.dom.Element` `createApplicationInformation(java.lang.String sourceURI)` Creates a new appinfo element using the containing schema's document as the factory.
`org.w3c.dom.Element` `createElement()`
`org.w3c.dom.Element` `createUserInformation(java.lang.String sourceURI)` This creates a new documentation element using the containing schema's document as the factory.
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EList<org.w3c.dom.Element>` `getApplicationInformation()`
`EList<org.w3c.dom.Element>` `getApplicationInformation(java.lang.String sourceURI)` Returns only those elements returned by `XSDAnnotation.getApplicationInformation()` with the given sourceURI; a null sourceURI matches elements without a source attribute.
`java.util.Set<java.lang.String>` `getApplicationInformationSources()` Returns the set of source attribute values of all the appinfo elements.
`EList<org.w3c.dom.Attr>` `getAttributes()`
`protected void` `getComponentsWithInformation(java.util.Collection<XSDConcreteComponent> result, int nodeType, java.lang.String sourceURI)`
`EList<org.w3c.dom.Element>` `getUserInformation()`
`EList<org.w3c.dom.Element>` `getUserInformation(java.lang.String sourceURI)` Returns only those elements returned by `XSDAnnotation.getUserInformation()` with the given sourceURI; a null sourceURI matches elements without a source attribute.
`java.util.Set<java.lang.String>` `getUserInformationSources()` Returns the set of source attribute values of all the documentation elements.
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`protected void` `reconcileContents(org.w3c.dom.Element changedElement)`
`java.lang.String` `toString()`
`void` `validate()` Validates whether this component conforms to the constraints defined in the XML Schema standard.

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptBy, adoptContent, adoptDiagnostic, analyze, changeAttribute, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, eInverseRemove, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getURIReferenceLabel, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, handleReconciliation, handleUnreconciledElement, isUpdatingDOM, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanContent, orphanDiagnostic, patch, populateDiagnostic, printDFA, reconcile, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### applicationInformation

    protected EList<org.w3c.dom.Element> applicationInformation

  The cached value of the '`Application Information`' attribute list.

  See Also:
    `getApplicationInformation()`

### userInformation

    protected EList<org.w3c.dom.Element> userInformation

  The cached value of the '`User Information`' attribute list.

  See Also:
    `getUserInformation()`

### attributes

    protected EList<org.w3c.dom.Attr> attributes

  The cached value of the '`Attributes`' attribute list.

  See Also:
    `getAttributes()`

Constructor Detail

### XSDAnnotationImpl

    protected XSDAnnotationImpl()

Method Detail

### createAnnotation

    public static XSDAnnotation createAnnotation(org.w3c.dom.Node node)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDComponentImpl`

### getApplicationInformation

    public EList<org.w3c.dom.Element> getApplicationInformation()

  Specified by:
    `getApplicationInformation` in interface `XSDAnnotation`
  Returns:
    the value of the 'Application Information' attribute list.
  See Also:
    `XSDPackage.getXSDAnnotation_ApplicationInformation()`

### getUserInformation

    public EList<org.w3c.dom.Element> getUserInformation()

  Specified by:
    `getUserInformation` in interface `XSDAnnotation`
  Returns:
    the value of the 'User Information' attribute list.
  See Also:
    `XSDPackage.getXSDAnnotation_UserInformation()`

### getAttributes

    public EList<org.w3c.dom.Attr> getAttributes()

  Specified by:
    `getAttributes` in interface `XSDAnnotation`
  Returns:
    the value of the 'Attributes' attribute list.
  See Also:
    `XSDPackage.getXSDAnnotation_Attributes()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDConcreteComponentImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDConcreteComponentImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDConcreteComponentImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDConcreteComponentImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDConcreteComponentImpl`

### createElement

    public org.w3c.dom.Element createElement()

  Overrides:
    `createElement` in class `XSDConcreteComponentImpl`

### validate

    public void validate()

  Description copied from interface: `XSDConcreteComponent`
  Validates whether this component conforms to the constraints defined in the XML Schema standard. `Diagnostics` are produced to report any problems. The effect of calling this for a component not directly or indirectly contained by a `schema` is undefined, and is likely to result in null pointer exceptions.

  Specified by:
    `validate` in interface `XSDConcreteComponent`
  Overrides:
    `validate` in class `XSDConcreteComponentImpl`
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDConcreteComponent.clearDiagnostics()`

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDConcreteComponentImpl`

### reconcileContents

    protected void reconcileContents(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileContents` in class `XSDConcreteComponentImpl`

### createApplicationInformation

    public org.w3c.dom.Element createApplicationInformation(java.lang.String sourceURI)

  Description copied from interface: `XSDAnnotation`
  Creates a new appinfo element using the containing schema's document as the factory. The caller is responsible for adding the appinfo element to annotation element.

  Specified by:
    `createApplicationInformation` in interface `XSDAnnotation`
  Parameters:
    `sourceURI` - the initial value of the source attribute.
  Returns:
    a new appinfo element.

### createUserInformation

    public org.w3c.dom.Element createUserInformation(java.lang.String sourceURI)

  Description copied from interface: `XSDAnnotation`
  This creates a new documentation element using the containing schema's document as the factory. The caller is responsible for adding the documentation element to annotation element.

  Specified by:
    `createUserInformation` in interface `XSDAnnotation`
  Parameters:
    `sourceURI` - the initial value of the source attribute.
  Returns:
    a new documentation element.

### getApplicationInformation

    public EList<org.w3c.dom.Element> getApplicationInformation(java.lang.String sourceURI)

  Description copied from interface: `XSDAnnotation`
  Returns only those elements returned by `XSDAnnotation.getApplicationInformation()` with the given sourceURI; a null sourceURI matches elements without a source attribute.

  Specified by:
    `getApplicationInformation` in interface `XSDAnnotation`
  Parameters:
    `sourceURI` - the source URI to match.
  Returns:
    the elements with the given sourceURI.

### getUserInformation

    public EList<org.w3c.dom.Element> getUserInformation(java.lang.String sourceURI)

  Description copied from interface: `XSDAnnotation`
  Returns only those elements returned by `XSDAnnotation.getUserInformation()` with the given sourceURI; a null sourceURI matches elements without a source attribute.

  Specified by:
    `getUserInformation` in interface `XSDAnnotation`
  Parameters:
    `sourceURI` - the source URI to match.
  Returns:
    the elements with the given sourceURI.

### getApplicationInformationSources

    public java.util.Set<java.lang.String> getApplicationInformationSources()

  Description copied from interface: `XSDAnnotation`
  Returns the set of source attribute values of all the appinfo elements.

  Specified by:
    `getApplicationInformationSources` in interface `XSDAnnotation`
  Returns:
    the set of source attribute values of all the appinfo elements.

### getUserInformationSources

    public java.util.Set<java.lang.String> getUserInformationSources()

  Description copied from interface: `XSDAnnotation`
  Returns the set of source attribute values of all the documentation elements.

  Specified by:
    `getUserInformationSources` in interface `XSDAnnotation`
  Returns:
    the set of source attribute values of all the documentation elements.

### getComponentsWithInformation

    protected void getComponentsWithInformation(java.util.Collection<XSDConcreteComponent> result,
                                                int nodeType,
                                                java.lang.String sourceURI)

  Overrides:
    `getComponentsWithInformation` in class `XSDConcreteComponentImpl`

### cloneConcreteComponent

    public XSDConcreteComponent cloneConcreteComponent(boolean deep,
                                                       boolean shareDOM)

  Description copied from interface: `XSDConcreteComponent`
  Creates a clone of the component. The clone may be deep and may share the DOM of this component.

  Specified by:
    `cloneConcreteComponent` in interface `XSDConcreteComponent`
  Overrides:
    `cloneConcreteComponent` in class `XSDConcreteComponentImpl`
  Parameters:
    `deep` - whether the clone should be deep.
    `shareDOM` - whether the clone should share the original DOM
  Returns:
    a clone of the component.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.